#!/bin/csh -f
# WIDE AREA INFORMATION SERVER SOFTWARE:
#   No guarantees or restrictions.  See the readme file for the full standard
#   disclaimer.	
#
# Script to set X App defaults path for xwais.
#
# $Log:	xwaisq,v $
# Revision 1.11  92/03/17  14:57:16  jonathan
# Changed XUSERFILESEARCHPATH back to XAPPLRESDIR.
# 
# Revision 1.10  92/03/01  16:37:28  jonathan
# removed ; do.
# 
# Revision 1.9  92/02/18  13:04:19  jonathan
# added test for no args (new question) and removed \ from quotes.
# 
# Revision 1.8  92/02/17  17:33:20  jonathan
# Renamed program to ../x/xwaisq for new makefile (Imakefile)
# 
# Revision 1.7  92/02/16  20:47:19  jonathan
# put "'s aorund arguments to program.  Found by davis@willow.tc.cornell.edu.
# 
#
set program=../x/xwaisq

#set my_dir=`dirname $0`
set my_dir=`echo $0 | sed 's,/[^/][^/]*$,,'`

set my_name=`basename $0`
# if run from the path, look for it:
if ($my_dir == "") then
  foreach dir ($path)
    if (-f $dir/$my_name) then
      set my_dir=$dir
    endif
  done
endif
# Now do it:
if ($?XAPPLRESDIR) then
   setenv XAPPLRESDIR \
   ${XAPPLRESDIR}:$my_dir/../x
else
   setenv XAPPLRESDIR $my_dir/../x
endif
if ($#argv == 0) then
 $my_dir/$program
else
 $my_dir/$program "$*"
endif
